Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
LevelEditorBase Class Reference
Inheritance diagram for LevelEditorBase:

## Public Member Functions
| __init__ (self)
| handleDelete (self)
| handleMouse1 (self, modifiers)
| handleMouse1Up (self)
| handleMouse2 (self, modifiers)
| handleMouse2Up (self)
| handleMouse3 (self, modifiers)
| handleMouse3Up (self)
| initialize (self)
| removeNodePathHook (self, nodePath)
| setTitleWithFilename (self, filename="")
| toggleWidget (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
list | actionEvents = []
| actionMgr = ActionMgr()
| ANIM_MODE = BitMask32.bit(4)
| BASE_MODE = BitMask32.bit(0)
| cleanUpManipulating
| CREATE_CURVE_MODE = BitMask32.bit(2)
| currentFile = None
| curveEditor = CurveEditor(self)
| deselectAll
| deselectAllCB
| EDIT_CURVE_MODE = BitMask32.bit(3)
| fileMgr = FileMgr(self)
bool | fMoveCamera = False
bool | fNeedToSave = False
bool | GRAPH_EDITOR = False
| handleDelete
| handleMouse1
| handleMouse1Up
| handleMouse2
| handleMouse2Up
| handleMouse3
| handleMouse3Up
| mode = self.BASE_MODE
| NPParent = render
| preMode = None
| removeNodePathHook
| select
| selectedNodePathHook
| settingsFile = None
list | statusLines = []
| statusReadout
| toggleWidget
| updateStatusReadoutTimeouts

## Additional Inherited Members
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

     Base Class for Panda3D LevelEditor

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ handleDelete()

handleDelete | ( |  | self | ) |

## ◆ handleMouse1()

handleMouse1 | ( |  | self,
|  |  | modifiers )

## ◆ handleMouse1Up()

handleMouse1Up | ( |  | self | ) |

## ◆ handleMouse2()

handleMouse2 | ( |  | self,
|  |  | modifiers )

## ◆ handleMouse2Up()

handleMouse2Up | ( |  | self | ) |

## ◆ handleMouse3()

handleMouse3 | ( |  | self,
|  |  | modifiers )

## ◆ handleMouse3Up()

handleMouse3Up | ( |  | self | ) |

## ◆ initialize()

initialize | ( |  | self | ) |

     You should call this in your __init__ method of inherited LevelEditor class

## ◆ removeNodePathHook()

removeNodePathHook | ( |  | self,
|  |  | nodePath )

## ◆ setTitleWithFilename()

setTitleWithFilename | ( |  | self,
|  |  | filename = "" )

## ◆ toggleWidget()

toggleWidget | ( |  | self | ) |

## Member Data Documentation

## ◆ actionEvents

list actionEvents = []

## ◆ actionMgr

actionMgr = ActionMgr()

## ◆ ANIM_MODE

ANIM_MODE = BitMask32.bit(4)

## ◆ BASE_MODE

BASE_MODE = BitMask32.bit(0)

## ◆ cleanUpManipulating

cleanUpManipulating

## ◆ CREATE_CURVE_MODE

CREATE_CURVE_MODE = BitMask32.bit(2)

## ◆ currentFile

currentFile = None

## ◆ curveEditor

curveEditor = CurveEditor(self)

## ◆ deselectAll

deselectAll

## ◆ deselectAllCB

deselectAllCB

## ◆ EDIT_CURVE_MODE

EDIT_CURVE_MODE = BitMask32.bit(3)

## ◆ fileMgr

fileMgr = FileMgr(self)

## ◆ fMoveCamera

bool fMoveCamera = False

## ◆ fNeedToSave

bool fNeedToSave = False

## ◆ GRAPH_EDITOR

bool GRAPH_EDITOR = False

## ◆ handleDelete

handleDelete

## ◆ handleMouse1

handleMouse1

## ◆ handleMouse1Up

handleMouse1Up

## ◆ handleMouse2

handleMouse2

## ◆ handleMouse2Up

handleMouse2Up

## ◆ handleMouse3

handleMouse3

## ◆ handleMouse3Up

handleMouse3Up

## ◆ mode

mode = self.BASE_MODE

## ◆ NPParent

NPParent = render

## ◆ preMode

preMode = None

## ◆ removeNodePathHook

removeNodePathHook

## ◆ select

select

## ◆ selectedNodePathHook

selectedNodePathHook

## ◆ settingsFile

settingsFile = None

## ◆ statusLines

list statusLines = []

## ◆ statusReadout

statusReadout

Initial value:
= OnscreenText(
pos = (-1.2, 0.9), bg=Vec4(1,1,1,1),
scale = 0.05, align = TextNode.ALeft,
mayChange = 1, font = TextNode.getDefaultFont())

## ◆ toggleWidget

toggleWidget

## ◆ updateStatusReadoutTimeouts

updateStatusReadoutTimeouts